# Class VariantTypeStats

java.lang.Object
org.snpeff.stats.VariantTypeStats

All Implemented Interfaces:
  `SamplingStats<VcfEntry>`

public class VariantTypeStats extends Object implements SamplingStats<VcfEntry>
Count variant types (SNP, MNP, INS, DEL)

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MAX_MAC`

## Constructor Summary

Constructors
Constructor
Description
`VariantTypeStats()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasData()`
Does this statistic have any data?
`void`
`sample(VcfEntry vcfEntry)`
Update MAC counters
`String`
`toString()`
Show results to stdout

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### MAX_MAC

public static final int MAX_MAC

See Also:
  - Constant Field Values

## Constructor Details

### VariantTypeStats

public VariantTypeStats()

## Method Details

### hasData

public boolean hasData()
Description copied from interface: `SamplingStats`
Does this statistic have any data?

Specified by:
  `hasData` in interface `SamplingStats<VcfEntry>`
Returns:

### sample

public void sample(VcfEntry vcfEntry)
Update MAC counters

Specified by:
  `sample` in interface `SamplingStats<VcfEntry>`
Parameters:
  `vcfEntry` -

### toString

public String toString()
Show results to stdout

Overrides:
  `toString` in class `Object`